# Yaf_View_Simple::__set

(Yaf >=1.0.0)

Yaf_View_Simple::__set — Set value to engine

### Description

public Yaf_View_Simple::__set ( string `$name` , mixed `$value` ) : void

This is a alternative and easier way to Yaf_View_Simple::assign().

### Parameters

`name`

  A string value name.

`value`

  Mixed value.

### Return Values

### Examples

Example #1 Yaf_View_Simple::__set()example

`<?php
class IndexController extends Yaf_Controller_Abstract {
public function indexAction() {
$this->getView()->foo = "bar"; // same as assign("foo", "bar");
}
?>`

### See Also

- Yaf_View_Simple::assignRef() - The assignRef purpose
- Yaf_View_Interface::assign() - Assign value to View engine